package com.community.huiju.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.dao.TpRentalHouseMapper;
import com.community.huiju.model.TpRentalHouse;
import com.community.huiju.service.ITpRentalHouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 出租公寓表 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
@Service
public class TpRentalHouseServiceImpl extends ServiceImpl<TpRentalHouseMapper, TpRentalHouse> implements ITpRentalHouseService {
	
	@Autowired
	private TpRentalHouseMapper tpRentalHouseMapper;
	/**
	 * 获取公寓房间列表
	 *
	 * @param id
	 * @param houseName
	 * @param startPrice
	 * @param endPrice
	 * @param rentalType
	 * @param houseType
	 * @param houseStatus
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@Override
	public ResponseBean getRentalList(Integer id, String houseName, String startPrice, String endPrice, String rentalType, String houseType, String houseStatus, UserElement userElement, Integer pageNum, Integer pageSize) {
		ResponseBean responseBean = new ResponseBean();
		Page page = new Page(pageNum,pageSize);
		TpRentalHouse tpRentalHouse = new TpRentalHouse();
		tpRentalHouse.setId(id);
		tpRentalHouse.setHouseName(houseName);
		tpRentalHouse.setRentalType(rentalType);
		tpRentalHouse.setHouseType(houseType);
		tpRentalHouse.setHouseStatus(houseStatus);
		tpRentalHouse.setCommunityId(userElement.getCommunityId());
		tpRentalHouse.setStartPrice(startPrice);
		tpRentalHouse.setEndPrice(endPrice);
		List<TpRentalHouse> list = tpRentalHouseMapper.getRentalList(page,tpRentalHouse);
		Map<String,Object> map = new HashMap<>();
		map.put("list", list);
		map.put("total", page.getTotal());
		responseBean.addSuccess(map);
		return responseBean;
	}
}
